Fish Audio Voice Cloning
curl --request POST \
--url https://api.novita.ai/v4beta/model \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"type": {},
"title": "<string>",
"train_mode": {},
"voices": [
null
],
"visibility": {},
"description": {},
"cover_image": {},
"texts": [
"<string>"
],
"tags": [
"<string>"
],
"enhance_audio_quality": true
}
'import requests
url = "https://api.novita.ai/v4beta/model"
payload = {
"type": {},
"title": "<string>",
"train_mode": {},
"voices": [None],
"visibility": {},
"description": {},
"cover_image": {},
"texts": ["<string>"],
"tags": ["<string>"],
"enhance_audio_quality": True
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
type: {},
title: '<string>',
train_mode: {},
voices: [null],
visibility: {},
description: {},
cover_image: {},
texts: ['<string>'],
tags: ['<string>'],
enhance_audio_quality: true
})
};
fetch('https://api.novita.ai/v4beta/model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"type": {},
"title": "<string>",
"description": "<string>",
"cover_image": "<string>",
"state": {},
"tags": [
"<string>"
],
"created_at": {},
"updated_at": {},
"visibility": {},
"like_count": 123,
"mark_count": 123,
"shared_count": 123,
"task_count": 123,
"author": {
"_id": "<string>",
"nickname": "<string>",
"avatar": "<string>"
},
"train_mode": {},
"samples": [
{
"title": "<string>",
"text": "<string>",
"task_id": "<string>",
"audio": "<string>"
}
],
"languages": [
"<string>"
],
"lock_visibility": true,
"unliked": true,
"liked": true,
"marked": true
}Audio
Fish Audio Voice Cloning
POST
/
v4beta
/
model
Fish Audio Voice Cloning
Fish Audio API for creating a voice model (voice cloning).
Request Headers
string
必須
Enum:
application/jsonstring
必須
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
enum<string>
必須
Model type, tts is for text to speech.Available options:
ttsAllowed value: "tts"string
必須
Model title or name.
enum<string>
必須
Model train mode, for TTS model, fast means model instantly available after creation.Available options:
fastAllowed value: "fast"file[]
必須
Upload voices files that will be used to tune the model.
enum<string>
デフォルト:"public"
Model visibility, public will be shown in the discovery page, unlist allows anyone with the link to access, private only be visible to the creator.Available options:
public, unlist, privatestring | null
Model description.
file | null
Model cover image, this is required if the model is public.
string[]
Texts corresponding to the voices, if unspecified, ASR will be performed on the voices.
string[]
Model tags.
boolean
デフォルト:false
Enhance audio quality.
Response
string
必須
Unique identifier for the created model.
enum<string>
必須
Model type.Available options:
svc, ttsstring
必須
Model title or name.
string
必須
Model description.
string
必須
URL of the model cover image.
enum<string>
必須
Current state of the model.Available options:
created, training, trained, failedstring[]
必須
Model tags.
string<date-time>
必須
Timestamp when the model was created.
string<date-time>
必須
Timestamp when the model was last updated.
enum<string>
必須
Model visibility setting.Available options:
public, unlist, privateinteger
必須
Number of likes the model has received.
integer
必須
Number of marks/bookmarks the model has received.
integer
必須
Number of times the model has been shared.
integer
必須
Number of tasks associated with the model.
AuthorEntity · object
必須
enum<string>
デフォルト:"full"
Training mode used for the model.Available options:
fast, fullSampleEntity · object[]
string[]
Languages supported by the model.
boolean
デフォルト:false
Whether the visibility setting is locked.
boolean
デフォルト:false
Whether the current user has unliked the model.
boolean
デフォルト:false
Whether the current user has liked the model.
boolean
デフォルト:false
Whether the current user has marked/bookmarked the model.
最終更新日 2026年5月15日